Distribution: 	CCux
Packager: 	Karsten Brockmann <arcam@ccux-linux.de>
Name: 		lcdproc
Version: 	0.5.2
Release: 	3
Source0: 	%{name}-%{version}.tar.gz
Patch0:		lcdproc-ccux-config.patch
Patch1:		lcdproc-init.patch
Summary: 	LCD display driver daemon
URL: 		http://lcdproc.omnipotent.net/
License: 	GPL
Group: 		System/Configuration/Hardware
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Requires:	perl-Geo-METAR
BuildRequires:	glibc-devel
BuildRequires:  libusb-devel
BuildRequires:  ncurses-devel

%description
LCDproc is a piece of software that displays real-time system information from your Linux/*BSD box on a LCD. The server supports several serial devices: Matrix Orbital, CrystalFontz, Bayrad, LB216, LCDM001 (kernelconcepts.de), Wirz-SLI, Cwlinux(.com) and PIC-an-LCD; and some devices connected to the LPT port: HD44780, STV5730, T6963, SED1520 and SED1330. Various clients are available that display things like CPU load, system load, memory usage, uptime, and a lot more.

%post
if [ "$1" -eq "1" ]; then
    /sbin/chkconfig --add LCDd
    /sbin/chkconfig --add lcdproc
    /sbin/chkconfig LCDd on
    /sbin/chkconfig lcdproc on
fi

%preun
if [ "$1" -eq "0" ]; then
    /etc/rc.d/init.d/lcdproc stop > /dev/null 2>&1 ||:
    /etc/rc.d/init.d/LCDd stop > /dev/null 2>&1 ||:
    /sbin/chkconfig --del lcdproc
    /sbin/chkconfig --del LCDd
fi


%prep
%setup -n %{name}-%{version}
%patch0 -p1
%patch1 -p1

%build
./configure 	--prefix=/usr \
		--sysconfdir=%{_sysconfdir}/lcdproc \
		--mandir=%{_mandir} \
		--disable-debug \
		--enable-libusb \
		--enable-drivers=all \
		--enable-lcdproc-menus \
		--enable-seamless-hbars \
		--enable-testmenus

make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m 755 scripts/init-LCDd.rpm $RPM_BUILD_ROOT/etc/rc.d/init.d/LCDd
install -m 755 scripts/init-lcdproc.rpm $RPM_BUILD_ROOT/etc/rc.d/init.d/lcdproc

%files
%defattr(-,root,root)
%{_bindir}
%{_sbindir}
%{_mandir}
%config(noreplace) %{_sysconfdir}/lcdproc/LCDd.conf
%config(noreplace) %{_sysconfdir}/lcdproc/lcdexec.conf
%config(noreplace) %{_sysconfdir}/lcdproc/lcdproc.conf
%config(noreplace) %{_sysconfdir}/lcdproc/lcdvc.conf
%{_sysconfdir}/rc.d/init.d/LCDd
%{_sysconfdir}/rc.d/init.d/lcdproc
%{_libdir}

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Sep 12 2008 Christian Metzen <metzench@ccux-linux.de> 0.5.2-3
- removed sourcing of network sysconfig, useless for us
* Fri Sep 12 2008 Christian Metzen <metzench@ccux-linux.de> 0.5.2-2
- fixed bootup scripts modes, renamed them
- rewrote init patch
* Mon Feb 10 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.5.2-1
- Initial Release

